package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgDivision struct {
    models.Model
    
    DivisionName string `json:"divisionName" gorm:"type:varchar(255);comment:赛区名称"` 
    Status string `json:"status" gorm:"type:bigint(20);comment:赛区开启状态 1 是 0否"` 
    models.ModelTime
    models.ControlBy
}

func (OrgDivision) TableName() string {
    return "org_division"
}

func (e *OrgDivision) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgDivision) GetId() interface{} {
	return e.Id
}